Skip to main content
GET
/
v1
/
ethereum_yield_sweep
/
{id}
Get Yield Sweep
curl --request GET \
  --url https://api.privy.io/v1/ethereum_yield_sweep/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'privy-app-id: <privy-app-id>'
{
  "id": "cm7oxq1el000e11o8iwp7d0d0",
  "wallet_id": "fmfdj6yqly31huorjqzq38zc",
  "vault_id": "cm7oxq1el000e11o8iwp7d0d0",
  "type": "deposit",
  "status": "pending",
  "asset_amount": "1000000",
  "share_amount": "987654321",
  "created_at": 1631573050000,
  "updated_at": 1631573050000
}

Documentation Index

Fetch the complete documentation index at: https://docs.privy.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

id
string
required

The yield sweep ID.

Response

200 - application/json

Yield sweep retrieved successfully.

A yield sweep record representing a deposit or withdrawal.

id
string
required

Unique identifier for the yield sweep.

wallet_id
string
required

The ID of the wallet involved in the sweep.

vault_id
string
required

The ID of the vault involved in the sweep.

type
enum<string>
required

Type of yield sweep.

Available options:
deposit,
withdraw
status
enum<string>
required

Status of a yield sweep.

Available options:
pending,
confirmed,
failed
asset_amount
string | null
required

The amount of underlying assets involved. Set after the sweep is confirmed on-chain.

share_amount
string | null
required

The amount of vault shares involved. Set after the sweep is confirmed on-chain.

created_at
number
required

Unix timestamp of when the sweep was created, in milliseconds.

updated_at
number
required

Unix timestamp of when the sweep was last updated, in milliseconds.